BioReceiver (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.transport.bio.BioReceiver class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.transport.bio
Class BioReceiver

    java.lang.Object
      org.apache.catalina.tribes.transport.ReceiverBase
          org.apache.catalina.tribes.transport.bio.BioReceiver

All Implemented Interfaces:
  java.lang.Runnable, ChannelReceiver, Heartbeat, ListenCallback, RxTaskPool.TaskCreator

    public class BioReceiver

extends ReceiverBase
implements java.lang.Runnable, ChannelReceiver, ListenCallback

Version:
  $Revision: 655215 $ $Date: 2008-05-11 03:09:58 +0200 (Sun, 11 May 2008) $
Author:
  Filip Hanik

Field Summary
`protected static Log` | `log`
`protected java.net.ServerSocket` | `serverSocket`

Fields inherited from class org.apache.catalina.tribes.transport.ReceiverBase
`OPTION_DIRECT_BUFFER`

Constructor Summary
`BioReceiver()`

Method Summary
`protected void` | `bind()`
`AbstractRxTask` | `createRxTask()`
`protected BioReplicationTask` | `getReplicationThread()`
`void` | `listen()`
`void` | `run()`
`void` | `start()` Start listening for incoming messages on the host/port
`void` | `stop()` Stop listening for messages

Methods inherited from class org.apache.catalina.tribes.transport.ReceiverBase
`bind, doListen, getAddress, getAutoBind, getBind, getDirect, getExecutor, getHost, getListener, getMaxTasks, getMaxThreads, getMessageListener, getMinTasks, getMinThreads, getOoBInline, getPort, getRxBufSize, getSecurePort, getSelectorTimeout, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTaskPool, getTcpListenAddress, getTcpListenPort, getTcpNoDelay, getTcpSelectorTimeout, getTcpThreadCount, getTimeout, getTxBufSize, getUseBufferPool, getWorkerThreadOptions, heartbeat, isListening, messageDataReceived, setAddress, setAutoBind, setBind, setDirect, setExecutor, setHost, setListen, setListener, setLog, setMaxTasks, setMaxThreads, setMessageListener, setMinTasks, setMinThreads, setOoBInline, setPool, setPort, setRxBufSize, setSecurePort, setSelectorTimeout, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpListenAddress, setTcpListenPort, setTcpNoDelay, setTcpSelectorTimeout, setTcpThreadCount, setTimeout, setTxBufSize, setUseBufferPool`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.tribes.ChannelReceiver
`getHost, getMessageListener, getPort, getSecurePort, setMessageListener`

Methods inherited from interface org.apache.catalina.tribes.Heartbeat
`heartbeat`

Methods inherited from interface org.apache.catalina.tribes.io.ListenCallback
`messageDataReceived`

Field Detail

### log

    protected static Log log

### serverSocket

    protected java.net.ServerSocket serverSocket

Constructor Detail

### BioReceiver

    public BioReceiver()

Method Detail

### start

    public void start()
               throws java.io.IOException

  Description copied from interface: `ChannelReceiver`
  Start listening for incoming messages on the host/port

  Specified by:
    `start` in interface `ChannelReceiver`
  Overrides:
    `start` in class `ReceiverBase`
  Throws:
    `java.io.IOException`

### createRxTask

    public AbstractRxTask createRxTask()

  Specified by:
    `createRxTask` in interface `RxTaskPool.TaskCreator`

### getReplicationThread

    protected BioReplicationTask getReplicationThread()

### stop

    public void stop()

  Description copied from interface: `ChannelReceiver`
  Stop listening for messages

  Specified by:
    `stop` in interface `ChannelReceiver`
  Overrides:
    `stop` in class `ReceiverBase`

### bind

    protected void bind()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### listen

    public void listen()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.